<div class="min-h-screen bg-gray-100" *ngIf="loaded">
  <main class="py-10">
    <!-- Page header -->
    <app-location-detail-header (refresh)="fetchData(true)" [city_infos]="city_infos" [last_refresh]="lastRefresh()"></app-location-detail-header>

    <div
      class="mt-8 max-w-3xl mx-auto grid grid-cols-1 gap-6 sm:px-6 lg:max-w-7xl lg:grid-flow-col-dense lg:grid-cols-3 relative">
      <app-forecast-container *ngIf="currentForecast" class="space-y-6 lg:col-start-1 lg:col-span-3" [forecast]="currentForecast">
      </app-forecast-container>
    </div>
    <div class="max-w-6xl mx-auto flex justify-between items-center mt-2">
      <div [class]="isFirst() ? 'bg-gray-500 cursor-not-allowed' : 'bg-white cursor-pointer'" (click)="previousForecast()" class="h-16 w-16 rounded-md shadow-sm text-gray-800 flex justify-center content-center">
        <button class="pointer-events-none"><i class="ri-arrow-left-s-line ri-2x"></i></button>
      </div>
      <div [class]="isLast() ? 'bg-gray-500 cursor-not-allowed' : 'bg-white cursor-pointer'" (click)="nextForecast()" class="h-16 w-16 rounded-md shadow-sm text-gray-800 flex justify-center content-center">
        <button class="pointer-events-none"><i class="ri-arrow-right-s-line ri-2x"></i></button>
      </div>
    </div>

  </main>
  <section aria-labelledby="week-forecasts-informations-title">
    <div class="bg-white shadow sm:rounded-lg h-80 p-5 pb-0">
      <h2 class="text-lg leading-6 font-medium text-gray-900 mb-2">Forecast for the 5 next days</h2>
      <app-forecasts (selectedForecast)="selectForecast($event)" [forecasts]="city_infos.consolidated_weather">
      </app-forecasts>
    </div>
  </section>
</div>
